Skip to main content
POST
/
voice
/
{thread_id}
/
web-call
Create Web Call In Thread
curl --request POST \
  --url https://api.puppeteerai.com/voice/{thread_id}/web-call \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "retell_account_id": "<string>"
}
'
{
  "status": "<string>",
  "message": "<string>"
}

Headers

Authorization
string
required

Path Parameters

thread_id
string
required

Body

application/json
project_id
string
required

The UUID of the Puppeteer project.

retell_account_id
string | null

The UUID of the Retell account to use. Required when the project has multiple phone numbers.

Response

Successful Response

status
string
required

Status of the web call creation request (e.g., "queued").

message
string | null

Additional information about the web call status.